hadoop-hdfs-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Harsh J (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HDFS-156) namenode doesn't start if group id cannot be resolved to name
Date Mon, 03 Feb 2014 10:58:10 GMT

     [ https://issues.apache.org/jira/browse/HDFS-156?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Harsh J resolved HDFS-156.
--------------------------

    Resolution: Duplicate

Fixed indirectly via HADOOP-4656's change set. The 'id' command is now used instead of 'groups'
when looking up user memberships.

> namenode doesn't start if group id cannot be resolved to name
> -------------------------------------------------------------
>
>                 Key: HDFS-156
>                 URL: https://issues.apache.org/jira/browse/HDFS-156
>             Project: Hadoop HDFS
>          Issue Type: Bug
>         Environment: Linux n510 2.6.22-3-686 #1 SMP Mon Nov 12 08:32:57 UTC 2007 i686
GNU/Linux
> Java:
> java version "1.5.0_14"
> Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_14-b03)
> Java HotSpot(TM) Client VM (build 1.5.0_14-b03, mixed mode, sharing)
> PAM: ldap
>            Reporter: Andrew Gudkov
>            Assignee: Patrick Winters
>            Priority: Minor
>         Attachments: groupname.patch
>
>
> Namenode failes to start because unix group name for my user can't be got. First, system
threw rather obscure message:
> {quote}
> ERROR dfs.NameNode (NameNode.java:main(856)) - java.lang.NullPointerException
>         at org.apache.hadoop.dfs.FSNamesystem.close(FSNamesystem.java:428)
>         at org.apache.hadoop.dfs.FSNamesystem.<init>(FSNamesystem.java:237)
>         at org.apache.hadoop.dfs.NameNode.initialize(NameNode.java:130)
>         at org.apache.hadoop.dfs.NameNode.<init>(NameNode.java:175)
>         at org.apache.hadoop.dfs.NameNode.<init>(NameNode.java:161)
>         at org.apache.hadoop.dfs.NameNode.createNameNode(NameNode.java:843)
>         at org.apache.hadoop.dfs.NameNode.main(NameNode.java:852)
> {quote}
> I traversed through stack trace entries, and found (FSNamesystem:237) this code
> {quote}
> 233   FSNamesystem(NameNode nn, Configuration conf) throws IOException {
>  234     try {
>  235       initialize(nn, conf);
>  236     } catch(IOException e) {
>  237       close();
>  238       throw e;
>  239     }
>  240   }
> {quote}
> Inserting e.printStackTrace() gave me next
> {quote}
> dfs.NameNodeMetrics (NameNodeMetrics.java:<init>(76)) - Initializing NameNodeMeterics
using context object:org.apache.hadoop.metrics.spi.NullContext
> java.io.IOException: javax.security.auth.login.LoginException: Login failed: id: cannot
find name for group ID 1040
>         at org.apache.hadoop.security.UnixUserGroupInformation.login(UnixUserGroupInformation.java:250)
>         at org.apache.hadoop.security.UnixUserGroupInformation.login(UnixUserGroupInformation.java:268)
>         at org.apache.hadoop.dfs.FSNamesystem.setConfigurationParameters(FSNamesystem.java:330)
>         at org.apache.hadoop.dfs.FSNamesystem.initialize(FSNamesystem.java:249)
>         at org.apache.hadoop.dfs.FSNamesystem.<init>(FSNamesystem.java:235)
>         at org.apache.hadoop.dfs.NameNode.initialize(NameNode.java:130)
>         at org.apache.hadoop.dfs.NameNode.<init>(NameNode.java:175)
>         at org.apache.hadoop.dfs.NameNode.<init>(NameNode.java:161)
>         at org.apache.hadoop.dfs.NameNode.createNameNode(NameNode.java:843)
>         at org.apache.hadoop.dfs.NameNode.main(NameNode.java:852)
>         at org.apache.hadoop.dfs.FSNamesystem.setConfigurationParameters(FSNamesystem.java:332)
>         at org.apache.hadoop.dfs.FSNamesystem.initialize(FSNamesystem.java:249)
>         at org.apache.hadoop.dfs.FSNamesystem.<init>(FSNamesystem.java:235)
>         at org.apache.hadoop.dfs.NameNode.initialize(NameNode.java:130)
>         at org.apache.hadoop.dfs.NameNode.<init>(NameNode.java:175)
>         at org.apache.hadoop.dfs.NameNode.<init>(NameNode.java:161)
>         at org.apache.hadoop.dfs.NameNode.createNameNode(NameNode.java:843)
>         at org.apache.hadoop.dfs.NameNode.main(NameNode.java:852)
> {quote}
> And this is true - command "groups" returns the same - id: cannot find name for group
ID 1040.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message